"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.hasHandleRole = void 0;
const get_attribute_of_handle_1 = require("../get-attribute-of-handle");
async function hasHandleRole(handle, expectedRole) {
    if (!handle) {
        return false;
    }
    const label = await (0, get_attribute_of_handle_1.getAttributeOfHandle)('role', handle);
    return label === expectedRole;
}
exports.hasHandleRole = hasHandleRole;
